Summary:    An optimized implementation of the JPEG-LS standard
Name:       CharLS
Version:    2.4.2
Release:    1%{?dist}
License:    BSD
URL:        https://github.com/team-charls/charls
Source0:    https://github.com/team-charls/charls/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ cmake >= 2.6.0

%description
CharLS is a C++ implementation of the JPEG-LS standard for lossless
and near-lossless image compression and decompression. JPEG-LS is a
low-complexity image compression standard that matches JPEG 2000
compression ratios.

%package devel
Summary:    Libraries and headers for CharLS
Requires:    %{name} = %{version}-%{release}

%description devel
CharLS Library Header Files and Link Libraries.


%prep
%autosetup -n charls-%{version}
%{__rm} CharLS*.sln* -v

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON\
    -DCMAKE_BUILD_TYPE:STRING="Release"\
    -DCMAKE_VERBOSE_MAKEFILE=ON\
    -DBUILD_TESTING=ON

%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE.md
%doc CHANGELOG.md README.md SECURITY.md
%{_libdir}/libcharls.so.2*

%files devel
%dir %{_includedir}/charls/
%{_includedir}/charls/*
%{_libdir}/cmake/charls/
%{_libdir}/libcharls.so
%{_libdir}/pkgconfig/charls.pc

%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 2.4.2-1
- Upgrade to version 2.4.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.0-1
- initial build
